export default {
  /**
     * 获取国际化的菜单名称
     */
  getMenuNameTrl: function(locale, menu){
    if(menu == null || menu == ''){
      return null;
    }
    if(locale == 'en-US'){
      return (menu.nameEng == null || menu.nameEng == '') ? menu.name : menu.nameEng;
    }else{
      return menu.name;
    }
  },

  /**
     * 获取国际化的名称
     */
  getNameTrl: function(locale, data){

    if(data.fieldName == 'ai.name'){
      let a = 0;
    }
    if(data == null || data == ''){
      return null;
    }
    if(locale == 'en-US'){
      return (data.nameEng == null || data.nameEng == '') ? data.name : data.nameEng;
    }else{
      return data.name;
    }
  },

  /**
     * 获取国际化的帮助
     */
  getHelpTrl: function(locale, data){
    if(data == null || data == ''){
      return null;
    }
    if(locale == 'en-US'){
      return (data.helpEng == null || data.helpEng == '') ? data.help : data.helpEng;
    }else{
      return data.help;
    }
  },

  /**
     * 获取国际化的显示名称
     */
  getDisplayNameTrl: function(locale, data){
    if(data == null || data == ''){
      return null;
    }
    if(locale == 'en-US'){
      return (data.displayNameEng == null || data.displayNameEng == '') ? data.displayName : data.displayNameEng;
    }else{
      return data.displayName;
    }
  },

  getGroupNameTrl: function(locale, data){
    if(data == null || data == ''){
      return null;
    }
    if(locale == 'en-US'){
      return (data.groupNameEng == null || data.groupNameEng == '') ? data.groupName : data.groupNameEng;
    }else{
      return data.groupName;
    }
  },
};